com.hazelcast.config

## Class NativeMemoryConfig

- java.lang.Object
- - com.hazelcast.config.NativeMemoryConfig

-     public class NativeMemoryConfig
      extends Object

  Contains native memory configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NativeMemoryConfig.MemoryAllocatorType` Type of memory allocator: STANDARD: allocate/free memory using default OS memory manager POOLED: manage memory blocks in pool

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static float` | `DEFAULT_METADATA_SPACE_PERCENTAGE` Default metadata space percentage
    `static int` | `DEFAULT_MIN_BLOCK_SIZE` Default minimum block size
    `static int` | `DEFAULT_PAGE_SIZE` Default page size
    `static int` | `INITIAL_MEMORY_SIZE` Initial memory size in megabytes
    `static int` | `MIN_INITIAL_MEMORY_SIZE` Minimum initial memory size in megabytes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeMemoryConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `NativeMemoryConfig.MemoryAllocatorType` | `getAllocatorType()`
    `float` | `getMetadataSpacePercentage()`
    `int` | `getMinBlockSize()`
    `int` | `getPageSize()`
    `MemorySize` | `getSize()`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `NativeMemoryConfig` | `setAllocatorType(NativeMemoryConfig.MemoryAllocatorType allocatorType)`
    `NativeMemoryConfig` | `setEnabled(boolean enabled)`
    `NativeMemoryConfig` | `setMetadataSpacePercentage(float metadataSpacePercentage)`
    `NativeMemoryConfig` | `setMinBlockSize(int minBlockSize)`
    `NativeMemoryConfig` | `setPageSize(int pageSize)`
    `NativeMemoryConfig` | `setSize(MemorySize size)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MIN_BLOCK_SIZE

          public static final int DEFAULT_MIN_BLOCK_SIZE

      Default minimum block size
      See Also:
        Constant Field Values

    - #### DEFAULT_PAGE_SIZE

          public static final int DEFAULT_PAGE_SIZE

      Default page size
      See Also:
        Constant Field Values

    - #### DEFAULT_METADATA_SPACE_PERCENTAGE

          public static final float DEFAULT_METADATA_SPACE_PERCENTAGE

      Default metadata space percentage
      See Also:
        Constant Field Values

    - #### MIN_INITIAL_MEMORY_SIZE

          public static final int MIN_INITIAL_MEMORY_SIZE

      Minimum initial memory size in megabytes
      See Also:
        Constant Field Values

    - #### INITIAL_MEMORY_SIZE

          public static final int INITIAL_MEMORY_SIZE

      Initial memory size in megabytes
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NativeMemoryConfig

          public NativeMemoryConfig()

  - ### Method Detail

    - #### getSize

          public MemorySize getSize()

    - #### setSize

          public NativeMemoryConfig setSize(MemorySize size)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public NativeMemoryConfig setEnabled(boolean enabled)

    - #### getAllocatorType

          public NativeMemoryConfig.MemoryAllocatorType getAllocatorType()

    - #### setAllocatorType

          public NativeMemoryConfig setAllocatorType(NativeMemoryConfig.MemoryAllocatorType allocatorType)

    - #### getMinBlockSize

          public int getMinBlockSize()

    - #### setMinBlockSize

          public NativeMemoryConfig setMinBlockSize(int minBlockSize)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public NativeMemoryConfig setPageSize(int pageSize)

    - #### getMetadataSpacePercentage

          public float getMetadataSpacePercentage()

    - #### setMetadataSpacePercentage

          public NativeMemoryConfig setMetadataSpacePercentage(float metadataSpacePercentage)

    - #### equals

          public final boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.